Bug 230154

Summary: Avoid GCC warnings introduced in r282125
Product: WebKit Reporter: Michael Catanzaro <mcatanzaro>
Component: JavaScriptCoreAssignee: Michael Catanzaro <mcatanzaro>
Status: RESOLVED FIXED    
Severity: Normal CC: ews-watchlist, Hironori.Fujii, keith_miller, mark.lam, mcatanzaro, msaboff, sbarati, tzagallo, webkit-bug-importer, ysuzuki
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: PC   
OS: Linux   
See Also: https://bugs.webkit.org/show_bug.cgi?id=229892
Attachments:
Description Flags
Patch none

Description Michael Catanzaro 2021-09-10 08:29:02 PDT
This is a follow-up to bug #229892. It introduced some GCC warnings discussed in https://bugs.webkit.org/show_bug.cgi?id=229892#c23. Let's avoid those.
Comment 1 Michael Catanzaro 2021-09-10 08:34:54 PDT
Created attachment 437874 [details]
Patch
Comment 2 Michael Catanzaro 2021-09-14 15:29:36 PDT
Ping JSC reviewers!
Comment 3 EWS 2021-09-15 13:18:35 PDT
Committed r282469 (241717@main): <https://commits.webkit.org/241717@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 437874 [details].
Comment 4 Radar WebKit Bug Importer 2021-09-15 13:19:17 PDT
<rdar://problem/83164939>